<form id="loginForm" class="loginForm" ng-submit="login()">
    <div class="title">
        {{ title || 'LOGIN_TITLE' | translate}}
    </div>
    <div ng-show="ctrl.autoLoginInProgress">
        {{ 'AUTOLOGIN_IN_PROGRESS' | translate}}
    </div>
    <div ng-hide="ctrl.autoLoginInProgress">
        <div ng-show="ctrl.requireCredentials">
            <md-input-container class="w-100">
                <input ng-model="username" name="username" type="text">
                <label class="intput-label">{{'LOGIN_USERNAME' | translate}}</label>
            </md-input-container>
        </div>
        <div ng-show="ctrl.requireCredentials">
            <md-input-container class="w-100">
                <input ng-model="password" name="password" type="password">
                <label class="intput-label">{{'LOGIN_PASSWORD' | translate}}</label>
            </md-input-container>
        </div>
        <div ng-show="requirePhoneNumber">
            <md-input-container class="w-100">
                <input ng-model="phoneNumber" name="phoneNumber" type="text">
                <label class="intput-label">{{'LOGIN_PHONENUMBER' | translate}}</label>
            </md-input-container>
        </div>
        <br>
        <div class="text-center">
            <button ng-disabled="ctrl.loginInProgress" class="btn btn-primary"  type="submit" id="loginbutton">
                <span ng-if="ctrl.loginInProgress">{{'LOGGING_IN' | translate}}<div id="loading-animation"></div></span><span ng-if="!ctrl.loginInProgress">{{'LOGIN_ACTION' | translate}}</span>
            </button>
        </div>
    </div>
    <div id="loginError" class="alert alert-{{ctrl.hasLogoutError() ? 'success' : 'danger'}}" ng-show="ctrl.hasError()">        
        <p class="text-error">
            {{'AUTHERROR_' + ctrl.lastError.error.toUpperCase() | translate}}<span ng-if="errorParam"> ({{errorParam}})</span>
        </p>
    </div>
    <div class="retry-auto-login" ng-show="ctrl.retryAutoLogin && !ctrl.autoLoginInProgress">
        {{ 'AUTOLOGIN_RETRY' | translate:ctrl }}
        <div>
            <a href="" ng-click="retryLogin()" translate="AUTOLOGIN_RETRY_NOW"></a>
        </div>
    </div>
</form>
<div id="footer">
    <span class="pull-right">{{showVersion()}}</span>
</div>
